Bug 24707 - Remove AMICUS from default fr-CA z39.50 servers
Summary: Remove AMICUS from default fr-CA z39.50 servers
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-21 17:42 UTC by Caroline Cyr La Rose
Modified: 2020-05-16 15:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This removes AMICUS from the fr-CA sample z39.50 servers list as it is no longer valid.
Version(s) released in:
20.05.00


Attachments
Attachment to Bug 24707 - Remove AMICUS from default fr-CA z39.50 servers (1.28 KB, patch)
2020-02-21 17:55 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 24707: Remove AMICUS from default fr-CA z39.50 servers (1.33 KB, patch)
2020-02-22 06:15 UTC, David Nind
Details | Diff | Splinter Review
Bug 24707: Remove AMICUS from default fr-CA z39.50 servers (1.39 KB, patch)
2020-02-23 09:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-02-21 17:42:37 UTC
In installer/data/mysql/fr-CA/facultatif/sample_z3950_servers.sql, there is an entry for AMICUS, the old catalogue of Library and Archives Canada. Unfortunately, LAC decided to go with OCLC and discontinued AMICUS.

I propose to remove that entry in the installation files since it is useless.
Comment 1 Caroline Cyr La Rose 2020-02-21 17:55:25 UTC
Created attachment 99425 [details] [review]
Attachment to Bug 24707 - Remove AMICUS from default fr-CA z39.50 servers

Bug 24707: Remove AMICUS from default fr-CA z39.50 servers

In installer/data/mysql/fr-CA/facultatif/sample_z3950_servers.sql, there is  
an entry for AMICUS, the old catalogue of Library and Archives Canada. 
Unfortunately, LAC decided to go with OCLC and discontinued AMICUS.

This patch removes that entry in the installation files since it is useless.

To test:
1) Apply patch
2) Make a fresh fr-CA install
3) Make sure there are no errors
4) In Administration > Z39.50/SRU servers, make sure AMICUS is not there
Comment 2 David Nind 2020-02-22 06:15:33 UTC
Created attachment 99458 [details] [review]
Bug 24707: Remove AMICUS from default fr-CA z39.50 servers

In installer/data/mysql/fr-CA/facultatif/sample_z3950_servers.sql, there is  
an entry for AMICUS, the old catalogue of Library and Archives Canada. 
Unfortunately, LAC decided to go with OCLC and discontinued AMICUS.

This patch removes that entry in the installation files since it is useless.

To test:
1) Apply patch
2) Make a fresh fr-CA install
3) Make sure there are no errors
4) In Administration > Z39.50/SRU servers, make sure AMICUS is not there

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-02-22 06:17:24 UTC
Comment on attachment 99425 [details] [review]
Attachment to Bug 24707 - Remove AMICUS from default fr-CA z39.50 servers

Not sure what I did incorrectly again. Obsoleting patch.
Comment 4 Katrin Fischer 2020-02-23 09:52:09 UTC
Might have a little conflict with bug 24708, but should be easy to resolve for RM ;)
Comment 5 Katrin Fischer 2020-02-23 09:52:36 UTC
Created attachment 99463 [details] [review]
Bug 24707: Remove AMICUS from default fr-CA z39.50 servers

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2020-02-24 10:05:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-03-30 21:42:10 UTC
Enhancement not pushed to 19.11.x